summaryrefslogtreecommitdiffstats
path: root/l
diff options
context:
space:
mode:
authorAdrien Nader <adrien@notk.org>2014-11-22 22:46:12 +0100
committerAdrien Nader <adrien@notk.org>2014-11-22 22:46:12 +0100
commit554d85aa67478700ef1b29eab0828813a66e21f9 (patch)
treeb8a5f25658c5c376677f548c60dda59592996eaf /l
parentff287af9f4283f6b7552c3af0c30d1c53e6812e0 (diff)
gtk+2: handle cross-compilation with gtk+ < 2.24.24 on the build system.
Diffstat (limited to 'l')
-rwxr-xr-xl/gtk+2/gtk+2.SlackBuild11
1 files changed, 11 insertions, 0 deletions
diff --git a/l/gtk+2/gtk+2.SlackBuild b/l/gtk+2/gtk+2.SlackBuild
index 6aee46c..4d434b2 100755
--- a/l/gtk+2/gtk+2.SlackBuild
+++ b/l/gtk+2/gtk+2.SlackBuild
@@ -69,6 +69,17 @@ sed -i \
'/gtk_libdir = g_build_filename (root, "lib", NULL);/ s/"lib"/"lib'"${LIBDIRSUFFIX}"'"/' \
gtk/gtkmain.c
+#! PATCH
+# Behaviour change in 2.24.24 and cross-compiling >= 2.24.24 requires a host
+# with >= 2.24.24 otherwise the added switch (which is there to continue using
+# the previous behaviour wrt image data in the icon cache) makes
+# gtk-update-icon-cache fail (ir probably handles it as a regular argument and
+# not a switch since it doesn't complain about it being unknown).
+# Remove the switch if the host's gtk-update-icon-cache doesn't know about it.
+if ! gtk-update-icon-cache --help | grep -q -- --include-image-data; then
+ sed -i '/--include-image-data/ d' gtk/Makefile.in
+fi
+
CFLAGS="-O2" \
LDFLAGS="-L/${PREFIX}/lib${LIBDIRSUFFIX}" \
./configure \